D4Science Infrastructure - Incident #95

References on task in SVN commit corrupt referenced ticket
May 14, 2015 11:06 AM - Luca Frosini

Status: Closed Start date: May 14, 2015
Priority: High Due date:

Assignee: Tommaso Piccioli % Done: 100%
Category: System Application Estimated time: 0.00 hour
Target version:

Infrastructure: Production

Description

Redmine has the capability to link SVN commit to task using a keyword (refs, Issueld, fixes, ....) followed by #NN (NN is the ticket
number)

| tryed this functionality and corrupted my task.

You can see the error trying to visit task #67

https://support.d4science.org/issues/67

Trying to google this error | didn't find quite nothing except this:
https://github.com/masamitsu-murase/redmine_add_subversion_links/blob/master/lib/redmine_add subversion_links_application_hel

per_patch.rb

History

#1 - May 14, 2015 03:36 PM - Luca Frosini

The problem is related to a plugin called Redmine Add Subversion Links and available here:
https://github.com/masamitsu-murase/redmine_add_subversion_links

The plugin has not been developed by three years. The solution is removing the plugin which is not really mandatory.

#2 - May 14, 2015 06:44 PM - Tommaso Piccioli
- Status changed from New to In Progress

- % Done changed from 0 to 100

Plugin removed.
Anyway il seems that the pluginwas usefull for the tortoise svn users.

#3 - May 14, 2015 06:45 PM - Tommaso Piccioli

- Status changed from In Progress to Resolved

#4 - May 15, 2015 02:23 PM - Pasquale Pagano

is the issue solved? If yes, please close the incident.

#5 - May 15, 2015 03:50 PM - Tommaso Piccioli

- Status changed from Resolved to Closed

Sep 18, 2025 1/1



https://support.d4science.org/issues/67
https://github.com/masamitsu-murase/redmine_add_subversion_links/blob/master/lib/redmine_add_subversion_links_application_helper_patch.rb
https://github.com/masamitsu-murase/redmine_add_subversion_links/blob/master/lib/redmine_add_subversion_links_application_helper_patch.rb
https://github.com/masamitsu-murase/redmine_add_subversion_links
http://www.tcpdf.org

